ResourceConfigFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.inventory.ResourceConfigFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.inventory
Class ResourceConfigFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.BaseTilesAction
                  org.hyperic.hq.ui.action.resource.common.inventory.ResourceConfigFormPrepareAction

    public class ResourceConfigFormPrepareAction

extends BaseTilesAction

A subclass of `TilesAction` that populates the `ResourceConfigForm` form with configOptions from the Product plugin.

Field Summary

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ResourceConfigFormPrepareAction()`

Method Summary
`protected void` | `addExtraHelpProperties(org.hyperic.hq.bizapp.shared.ProductBoss pboss, java.util.Map helpProps)`
`protected void` | `addHelpProperties(java.util.Map helpProps, ConfigSchema schema, ConfigResponse config)`
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Retrieve this data and store it in the `ResourceConfigForm`:
`protected void` | `setUIOptions(AppdefEntityID aeid, javax.servlet.http.HttpServletRequest request, ResourceConfigForm resourceForm, java.util.List uiMonitorOptions, java.util.Map helpProps)`

Methods inherited from class org.hyperic.hq.ui.action.BaseTilesAction
`checkModifyPermission, checkPermission`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceConfigFormPrepareAction

    public ResourceConfigFormPrepareAction()

Method Detail

### addHelpProperties

    protected void addHelpProperties(java.util.Map helpProps,
                                     ConfigSchema schema,
                                     ConfigResponse config)

### addExtraHelpProperties

    protected void addExtraHelpProperties(org.hyperic.hq.bizapp.shared.ProductBoss pboss,
                                          java.util.Map helpProps)

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.tiles.ComponentContext context,
                                                          org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Retrieve this data and store it in the `ResourceConfigForm`:

  Overrides:
    `execute` in class `org.apache.struts.tiles.actions.TilesAction`
  Throws:
    `java.lang.Exception`

### setUIOptions

    protected void setUIOptions(AppdefEntityID aeid,
                                javax.servlet.http.HttpServletRequest request,
                                ResourceConfigForm resourceForm,
                                java.util.List uiMonitorOptions,
                                java.util.Map helpProps)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.